#!/bin/sh
#
# $FreeBSD: ports/news/newscache/files/newscache.sh.in,v 1.2 2006/02/20 20:47:36 dougb Exp $
#
# PROVIDE: newscache
# REQUIRE: DAEMON
#
# Add the following line to /etc/rc.conf to enable newscache:
#
# newscache_enable="YES"
#
newscache_enable=${newscache_enable-"NO"}
newscache_flags=${newscache_flags-""}

. /etc/rc.subr

name=newscache
rcvar=`set_rcvar`

command=/usr/local/sbin/${name}
pidfile=/var/run/${name}.pid
sig_stop=-KILL

load_rc_config ${name}
run_rc_command "$1"
